package pasito.staticEnvironment;

public class InvalidLevelException extends Exception {
    public String msg;
    public InvalidLevelException(int times) {
        switch (times) {
            case 0:
                msg = "Are you trying to access a invalid level in symbol table.";
                break;
            case 1:
                msg = "There are no easter eggs in this sourcefile.";
                break;
            case 2:
                msg = "There are no easter eggs in this sourcefile. Stop it.";
                break;
            case 3:
                msg = new String(new byte[]{79, 107, 44, 32, 105, 32, 119, 105, 108, 108, 32, 100, 111, 32, 105, 116, 32, 52, 32, 117, 46, 32, 98, 117, 116, 32, 115, 116, 111, 112, 32, 100, 111, 105, 110, 103, 32, 116, 104, 105, 115, 46, 10, 32, 32, 32, 32, 32, 32, 32, 32, 32, 40, 95, 95, 41, 32, 10, 32, 32, 32, 32, 32, 32, 32, 32, 32, 40, 111, 111, 41, 32, 10, 32, 32, 32, 47, 45, 45, 45, 45, 45, 45, 92, 47, 32, 10, 32, 32, 47, 32, 124, 32, 32, 32, 32, 124, 124, 32, 32, 32, 10, 32, 42, 32, 32, 47, 92, 45, 45, 45, 47, 92, 32, 10, 32, 32, 32, 32, 126, 126, 32, 32, 32, 126, 126, 32, 32, 32, 10, 65, 114, 101, 32, 117, 32, 104, 97, 112, 112, 121, 32, 110, 111, 119, 63});
                break;
            case 4:
                msg = "Ok, i give up. Do whatever you want. I dont care.";
                break;
            case 7:
                msg = new String(new byte[]{97, 110, 100, 32, 116, 104, 101, 32, 98, 101, 97, 115, 116, 32, 115, 104, 97, 108, 108, 32, 99, 111, 109, 101, 32, 116, 111, 32, 98, 114, 101, 97, 107, 32, 112, 97, 115, 99, 97, 108, 32, 99, 111, 109, 112, 105, 108, 101, 114, 44, 32, 98, 117, 116, 32, 119, 101, 39, 108, 108, 32, 109, 117, 115, 116, 32, 110, 111, 116, 32, 108, 101, 97, 118, 101, 32, 105, 116, 32, 119, 105, 110, 46, 32, 69, 97, 99, 104, 32, 109, 111, 118, 101, 109, 101, 110, 116, 32, 102, 114, 111, 109, 32, 98, 101, 97, 115, 116, 32, 104, 97, 115, 32, 98, 101, 101, 110, 32, 119, 97, 115, 32, 107, 110, 111, 119, 32, 98, 121, 32, 116, 104, 101, 32, 115, 117, 112, 101, 114, 32, 99, 111, 119, 46, 32, 10, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 32, 102, 114, 111, 109, 32, 84, 104, 101, 32, 66, 111, 111, 107, 32, 111, 102, 32, 80, 97, 115, 99, 97, 108, 44, 32, 49, 53, 58, 48, 52});
                break;
            case 42:
                msg = new String(new byte[]{104, 101, 114, 101, 32, 105, 115, 32, 121, 111, 117, 114, 32, 97, 110, 115, 119, 101, 114, 58, 32, 104, 116, 116, 112, 115, 58, 47, 47, 119, 119, 119, 46, 121, 111, 117, 116, 117, 98, 101, 46, 99, 111, 109, 47, 119, 97, 116, 99, 104, 63, 118, 61, 97, 98, 111, 90, 99, 116, 114, 72, 102, 75, 56});
                break;
            default: msg = "Don't eat cows, be vegan.";
        }
    }
}